#include	"d_NSF.h"

PMapperParam	MP;	/* Used by all mappers, might as well drop it in here */

extern	TMapperInfo	MapperInfo_NSF;

static	PMapperInfo	LoadMapper (int Mapper)
{
	if (Mapper == 666)
		return &MapperInfo_NSF;
	else	return NULL;
}

static	PMapperInfo	LoadBoard (char *Board)
{
	if (!strcmp(Board,"NSF"))
		return &MapperInfo_NSF;
	else	return NULL;
}

static	TDLLInfo	DLL_Info =
{
	"The Quietust <quietust@ircN.org>",
	0x20010206,		/* Date */
	0x00010000,		/* Version 3.0 */
	LoadMapper,
	LoadBoard
};

__declspec(dllexport)	PDLLInfo	Load_DLL (int VersionRequired)
{
	if (VersionRequired != CurrentMapperInterface)
	{
		MessageBox(0,"Mapper interface incompatible!","Mappers",MSGBOX_FLAGS);
		return NULL;
	}
	return &DLL_Info;
}

__declspec(dllexport)	void	Unload_DLL (void)
{
}
