#ifndef	__MMC4_H__
#define	__MMC4_H__

#include	"..\interface.h"

typedef	struct	MMC4
{
	u8 PRG;
	u8 LatchState[2];
	u8 Latch0[2];
	u8 Latch1[2];
	u8 Mirror;
	void	(*Sync)	(void);
}	TMMC4, *PMMC4;

void	MMC4_Init (void (*)(void));
int	MMC4_SaveMI (Ar128);
int	MMC4_LoadMI (const Ar128);
void	MMC4_SyncPRG (int);
void	MMC4_SyncCHR (void);
void	MMC4_SyncMirror (void);
int	MMC4_TileHandler (int,int,int);
void	MMC4_Write (int,int,int);

#endif	/* __MMC4_H__ */