#include	"..\DLL\d_iNES.h"
#include	"..\Hardware\h_MMC2.h"

static	void	Sync (void)
{
	MMC2_SyncPRG(0xF);
	MMC2_SyncCHR();
	MMC2_SyncMirror();
}

static	void	UnloadMapper (void)
{
	iNES_UnloadROM();
}

static	void	InitMapper (const PMapperParam _MP, int IsHardReset)
{
	MP = _MP;
	iNES_InitROM();
	MMC2_Init(Sync);
}

const	TMapperInfo	MapperInfo_009 =
{
	"PNROM (MMC2)",
	9,
	MS_Full,
	8192,
	InitMapper,
	UnloadMapper,
	NULL,
	MMC2_TileHandler,
	MMC2_SaveMI,
	MMC2_LoadMI,
	NULL,
	NULL
};