#include	"..\..\DLL\d_UNIF.h"
#include	"..\..\Hardware\h_MMC6.h"

static	void	Sync_HKROM (void)
{
	MMC6_SyncPRG(0x3F,0);
	MMC6_SyncCHR_ROM(0xFF,0);
	MMC6_SyncMirror();
}

static	void	InitMapper_HKROM (const PMapperParam _MP, int IsHardReset)
{
	MP = _MP;
	MMC6_Init(Sync_HKROM);
}

const	TMapperInfo	MapperInfo_NES_HKROM =
{
	"NES-HKROM",
	-1,
	MS_Nearly,
	8192,
	InitMapper_HKROM,
	NULL,
	MMC6_HBlank,
	NULL,
	MMC6_SaveMI,
	MMC6_LoadMI,
	NULL,
	NULL
};